### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.Pumps
  commentId: N:adas_core.Domain.Models.Pumps
  id: adas_core.Domain.Models.Pumps
  children:
  - adas_core.Domain.Models.Pumps.CommonPumpTypes
  - adas_core.Domain.Models.Pumps.CommonPumpTypes.PumpValue
  - adas_core.Domain.Models.Pumps.CommonPumpTypes.SyringeDetails
  - adas_core.Domain.Models.Pumps.PumpAlarmEvent
  - adas_core.Domain.Models.Pumps.PumpAlarmState
  - adas_core.Domain.Models.Pumps.PumpObservation
  - adas_core.Domain.Models.Pumps.PumpState
  langs:
  - csharp
  - vb
  name: adas_core.Domain.Models.Pumps
  nameWithType: adas_core.Domain.Models.Pumps
  fullName: adas_core.Domain.Models.Pumps
  type: Namespace
  assemblies:
  - adas-core.Domain
references:
- uid: adas_core.Domain.Models.Pumps.CommonPumpTypes
  commentId: T:adas_core.Domain.Models.Pumps.CommonPumpTypes
  href: adas_core.Domain.Models.Pumps.CommonPumpTypes.html
  name: CommonPumpTypes
  nameWithType: CommonPumpTypes
  fullName: adas_core.Domain.Models.Pumps.CommonPumpTypes
- uid: adas_core.Domain.Models.Pumps.CommonPumpTypes.PumpValue
  commentId: T:adas_core.Domain.Models.Pumps.CommonPumpTypes.PumpValue
  parent: adas_core.Domain.Models.Pumps
  href: adas_core.Domain.Models.Pumps.CommonPumpTypes.html
  name: CommonPumpTypes.PumpValue
  nameWithType: CommonPumpTypes.PumpValue
  fullName: adas_core.Domain.Models.Pumps.CommonPumpTypes.PumpValue
  spec.csharp:
  - uid: adas_core.Domain.Models.Pumps.CommonPumpTypes
    name: CommonPumpTypes
    href: adas_core.Domain.Models.Pumps.CommonPumpTypes.html
  - name: .
  - uid: adas_core.Domain.Models.Pumps.CommonPumpTypes.PumpValue
    name: PumpValue
    href: adas_core.Domain.Models.Pumps.CommonPumpTypes.PumpValue.html
  spec.vb:
  - uid: adas_core.Domain.Models.Pumps.CommonPumpTypes
    name: CommonPumpTypes
    href: adas_core.Domain.Models.Pumps.CommonPumpTypes.html
  - name: .
  - uid: adas_core.Domain.Models.Pumps.CommonPumpTypes.PumpValue
    name: PumpValue
    href: adas_core.Domain.Models.Pumps.CommonPumpTypes.PumpValue.html
- uid: adas_core.Domain.Models.Pumps.CommonPumpTypes.SyringeDetails
  commentId: T:adas_core.Domain.Models.Pumps.CommonPumpTypes.SyringeDetails
  parent: adas_core.Domain.Models.Pumps
  href: adas_core.Domain.Models.Pumps.CommonPumpTypes.html
  name: CommonPumpTypes.SyringeDetails
  nameWithType: CommonPumpTypes.SyringeDetails
  fullName: adas_core.Domain.Models.Pumps.CommonPumpTypes.SyringeDetails
  spec.csharp:
  - uid: adas_core.Domain.Models.Pumps.CommonPumpTypes
    name: CommonPumpTypes
    href: adas_core.Domain.Models.Pumps.CommonPumpTypes.html
  - name: .
  - uid: adas_core.Domain.Models.Pumps.CommonPumpTypes.SyringeDetails
    name: SyringeDetails
    href: adas_core.Domain.Models.Pumps.CommonPumpTypes.SyringeDetails.html
  spec.vb:
  - uid: adas_core.Domain.Models.Pumps.CommonPumpTypes
    name: CommonPumpTypes
    href: adas_core.Domain.Models.Pumps.CommonPumpTypes.html
  - name: .
  - uid: adas_core.Domain.Models.Pumps.CommonPumpTypes.SyringeDetails
    name: SyringeDetails
    href: adas_core.Domain.Models.Pumps.CommonPumpTypes.SyringeDetails.html
- uid: adas_core.Domain.Models.Pumps.PumpAlarmEvent
  commentId: T:adas_core.Domain.Models.Pumps.PumpAlarmEvent
  parent: adas_core.Domain.Models.Pumps
  href: adas_core.Domain.Models.Pumps.PumpAlarmEvent.html
  name: PumpAlarmEvent
  nameWithType: PumpAlarmEvent
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmEvent
- uid: adas_core.Domain.Models.Pumps.PumpAlarmState
  commentId: T:adas_core.Domain.Models.Pumps.PumpAlarmState
  parent: adas_core.Domain.Models.Pumps
  href: adas_core.Domain.Models.Pumps.PumpAlarmState.html
  name: PumpAlarmState
  nameWithType: PumpAlarmState
  fullName: adas_core.Domain.Models.Pumps.PumpAlarmState
- uid: adas_core.Domain.Models.Pumps.PumpObservation
  commentId: T:adas_core.Domain.Models.Pumps.PumpObservation
  parent: adas_core.Domain.Models.Pumps
  href: adas_core.Domain.Models.Pumps.PumpObservation.html
  name: PumpObservation
  nameWithType: PumpObservation
  fullName: adas_core.Domain.Models.Pumps.PumpObservation
- uid: adas_core.Domain.Models.Pumps.PumpState
  commentId: T:adas_core.Domain.Models.Pumps.PumpState
  parent: adas_core.Domain.Models.Pumps
  href: adas_core.Domain.Models.Pumps.PumpState.html
  name: PumpState
  nameWithType: PumpState
  fullName: adas_core.Domain.Models.Pumps.PumpState
- uid: adas_core.Domain.Models.Pumps
  commentId: N:adas_core.Domain.Models.Pumps
  href: adas_core.html
  name: adas_core.Domain.Models.Pumps
  nameWithType: adas_core.Domain.Models.Pumps
  fullName: adas_core.Domain.Models.Pumps
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Pumps
    name: Pumps
    href: adas_core.Domain.Models.Pumps.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Pumps
    name: Pumps
    href: adas_core.Domain.Models.Pumps.html
